Get counts for filter options
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/counts \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/counts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"counts": {
"enabledCounts": [
{
"count": 25,
"enabled": true
}
],
"entityLabelCounts": [
{
"count": 28,
"labelKey": "environment",
"labelValue": "production"
}
],
"priorityCounts": [
{
"count": 15
}
],
"statusCounts": [
{
"count": 15
}
],
"typeCounts": [
{
"count": 42
}
]
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Alert Definitions Service
Get counts for filter options
Returns counts for different filter options based on the provided filters
Requires the following permissions:
alerts:ReadConfig
Get counts for filter options
Authorizations
API key authentication
Query Parameters
The filter to apply when counting options Filter configuration for counting filter options
Show child attributes
Show child attributes
Response
Response containing counts for different filter options
Counts for different filter options
Show child attributes
Show child attributes
Was this page helpful?
⌘I